{ pkgs, ... }:
let
  ini = pkgs.formats.ini { };
in
{
  home.file."keepassxc" = {
    enable = true;

    source = ini.generate "keepassxc.ini" {
      General = {
        BackupBeforeSave = true;
        ConfigVersion = 2;
        UseAtomicSaves = false;
      };
      Browser = {
        Enabled = true;
      };
      GUI = {
        ColorPasswords = true;
        MinimizeOnClose = true;
        MinimizeOnStartup = true;
        MinimizeToTray = true;
        ShowTrayIcon = true;
        TrayIconAppearance = "colorful";
      };
    };

    target = ".config/keepassxc/keepassxc.ini";
  };
}
