{ lib, ... }:
let
  inherit (lib.my.disko) mkSwap mkBoot mkRoot;
in
{
  disko.devices.disk.builtin = {
    device = "/dev/sda";
    type = "disk";
    imageSize = "16G";
    content = {
      type = "gpt";
      partitions = {
        ESP = mkBoot "1G";
        swap = mkSwap "4G";
        root = mkRoot "100%" "ext4";
      };
    };
  };
}
